<packet name="UpdateRecipeBook">
	<version number="1">
		<u16 name="recipe_count">
		<u32 name="packed_size">
		<array name="recipe_array" count="var:recipe_count">
			<u32 name="recipe_id">
			<u32 name="unknown" size="2">
		</array>
		<u32 name="unknown1">
	</version>
	<version number="373">
		<u16 name="recipe_count">
		<u32 name="packed_size">
		<array name="skill_array" count="var:recipe_count">
			<u32 name="recipe_id">
			<u32 name="recipe_data_crc">
			<u32 name="unknown">
		</array>
	</version>
	<version number="546">
		<u16 name="recipe_count">
		<u32 name="packed_size">
		<array name="skill_array" count="var:recipe_count">
			<u32 name="recipe_id">
			<u32 name="recipe_data_crc">
			<u32 name="unknown">
		</array>
	</version>
</packet>